// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true


events.listen("recipes", event => { 
	event.recipes.thermal.smelter(item.of("kubejs:iron_sludge", 2), [item.of("#forge:sand", 2), "#forge:ores/iron"])
	event.custom({
		"type": "create:mixing",
		"ingredients": [
			{
				"tag": "forge:ores/iron"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			}
		],
		"results": [
			{
				"item": "kubejs:iron_sludge",
				"count": 2
			}
		],
		"heatRequirement": "heated"
	})
	event.recipes.thermal.bottler(item.of("kubejs:iron_sludge_vital", 2), ["kubejs:iron_sludge", fluid.of("bloodmagic:life_essence_fluid", 900)])
	event.recipes.thermal.bottler(item.of("kubejs:iron_sludge_starry", 2), ["kubejs:iron_sludge_vital", fluid.of("astralsorcery:liquid_starlight", 900)])
	//event.replaceInput({mod:"mekanism"}, "#forge:ores/iron", item.of(["forge:ores/iron", "kubejs:iron_sludge", "kubejs:iron_sludge_vital", "kubejs:iron_sludge_starry"], 1))
	event.remove({mod:"mekanism", type:"mekanism:dissolution", input: "#forge:ores/iron"}) 
	event.custom({"type":"mekanism:dissolution","itemInput":{"ingredient":[{"tag":"forge:ores/iron"}, {"item":"kubejs:iron_sludge"}, {"item":"kubejs:iron_sludge_vital"}, {"item":"kubejs:iron_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:sulfuric_acid"},"output":{"slurry":"mekanism:dirty_iron","amount":1000,"chemicalType":"slurry"}})
	
	event.custom({"type":"mekanism:purifying","itemInput":{"ingredient":[{"tag":"forge:ores/iron"}, {"item":"kubejs:iron_sludge"}, {"item":"kubejs:iron_sludge_vital"}, {"item":"kubejs:iron_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:oxygen"},"output":{"item":"mekanism:clump_iron","count":2}})
	event.custom({"type":"mekanism:injecting","itemInput":{"ingredient":[{"tag":"forge:ores/iron"}, {"item":"kubejs:iron_sludge"}, {"item":"kubejs:iron_sludge_vital"}, {"item":"kubejs:iron_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:hydrogen_chloride"},"output":{"item":"mekanism:shard_iron","count":4}})
	event.custom({"type":"mekanism:enriching","input":{"ingredient":[{"tag":"forge:ores/iron"}, {"item":"kubejs:iron_sludge"}, {"item":"kubejs:iron_sludge_vital"}, {"item":"kubejs:iron_sludge_starry"}]},"output":{"item":"mekanism:dust_iron","count":2}})
	
	event.recipes.thermal.smelter(item.of("kubejs:aluminum_sludge", 2), [item.of("#forge:sand", 2), "#forge:ores/aluminum"])
	event.custom({
		"type": "create:mixing",
		"ingredients": [
			{
				"tag": "forge:ores/aluminum"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			}
		],
		"results": [
			{
				"item": "kubejs:aluminum_sludge",
				"count": 2
			}
		],
		"heatRequirement": "heated"
	})
	event.recipes.thermal.bottler(item.of("kubejs:aluminum_sludge_vital", 2), ["kubejs:aluminum_sludge", fluid.of("bloodmagic:life_essence_fluid", 900)])
	event.recipes.thermal.bottler(item.of("kubejs:aluminum_sludge_starry", 2), ["kubejs:aluminum_sludge_vital", fluid.of("astralsorcery:liquid_starlight", 900)])
	//event.replaceInput({mod:"mekanism"}, "#forge:ores/aluminum", item.of(["forge:ores/aluminum", "kubejs:aluminum_sludge", "kubejs:aluminum_sludge_vital", "kubejs:aluminum_sludge_starry"], 1))
	event.remove({mod:"mekanism", type:"mekanism:dissolution", input: "#forge:ores/aluminum"}) 
	event.custom({"type":"mekanism:dissolution","itemInput":{"ingredient":[{"tag":"forge:ores/aluminum"}, {"item":"kubejs:aluminum_sludge"}, {"item":"kubejs:aluminum_sludge_vital"}, {"item":"kubejs:aluminum_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:sulfuric_acid"},"output":{"slurry":"jaopca:mekanism_dirty.aluminum","amount":1000,"chemicalType":"slurry"}})
	
	event.custom({"type":"mekanism:purifying","itemInput":{"ingredient":[{"tag":"forge:ores/aluminum"}, {"item":"kubejs:aluminum_sludge"}, {"item":"kubejs:aluminum_sludge_vital"}, {"item":"kubejs:aluminum_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:oxygen"},"output":{"item":"jaopca:mekanism_clumps.aluminum","count":2}})
	event.custom({"type":"mekanism:injecting","itemInput":{"ingredient":[{"tag":"forge:ores/aluminum"}, {"item":"kubejs:aluminum_sludge"}, {"item":"kubejs:aluminum_sludge_vital"}, {"item":"kubejs:aluminum_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:hydrogen_chloride"},"output":{"item":"jaopca:mekanism_shards.aluminum","count":4}})
	event.custom({"type":"mekanism:enriching","input":{"ingredient":[{"tag":"forge:ores/aluminum"}, {"item":"kubejs:aluminum_sludge"}, {"item":"kubejs:aluminum_sludge_vital"}, {"item":"kubejs:aluminum_sludge_starry"}]},"output":{"item":"immersiveengineering:dust_aluminum","count":2}})
	
	event.recipes.thermal.smelter(item.of("kubejs:copper_sludge", 2), [item.of("#forge:sand", 2), "#forge:ores/copper"])
	event.custom({
		"type": "create:mixing",
		"ingredients": [
			{
				"tag": "forge:ores/copper"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			}
		],
		"results": [
			{
				"item": "kubejs:copper_sludge",
				"count": 2
			}
		],
		"heatRequirement": "heated"
	})
	event.recipes.thermal.bottler(item.of("kubejs:copper_sludge_vital", 2), ["kubejs:copper_sludge", fluid.of("bloodmagic:life_essence_fluid", 900)])
	event.recipes.thermal.bottler(item.of("kubejs:copper_sludge_starry", 2), ["kubejs:copper_sludge_vital", fluid.of("astralsorcery:liquid_starlight", 900)])
	//event.replaceInput({mod:"mekanism"}, "#forge:ores/copper", item.of(["forge:ores/copper", "kubejs:copper_sludge", "kubejs:copper_sludge_vital", "kubejs:copper_sludge_starry"], 1))
	event.remove({mod:"mekanism", type:"mekanism:dissolution", input: "#forge:ores/copper"}) 
	event.custom({"type":"mekanism:dissolution","itemInput":{"ingredient":[{"tag":"forge:ores/copper"}, {"item":"kubejs:copper_sludge"}, {"item":"kubejs:copper_sludge_vital"}, {"item":"kubejs:copper_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:sulfuric_acid"},"output":{"slurry":"mekanism:dirty_copper","amount":1000,"chemicalType":"slurry"}})
	
	event.custom({"type":"mekanism:purifying","itemInput":{"ingredient":[{"tag":"forge:ores/copper"}, {"item":"kubejs:copper_sludge"}, {"item":"kubejs:copper_sludge_vital"}, {"item":"kubejs:copper_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:oxygen"},"output":{"item":"mekanism:clump_copper","count":2}})
	event.custom({"type":"mekanism:injecting","itemInput":{"ingredient":[{"tag":"forge:ores/copper"}, {"item":"kubejs:copper_sludge"}, {"item":"kubejs:copper_sludge_vital"}, {"item":"kubejs:copper_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:hydrogen_chloride"},"output":{"item":"mekanism:shard_copper","count":4}})
	event.custom({"type":"mekanism:enriching","input":{"ingredient":[{"tag":"forge:ores/copper"}, {"item":"kubejs:copper_sludge"}, {"item":"kubejs:copper_sludge_vital"}, {"item":"kubejs:copper_sludge_starry"}]},"output":{"item":"mekanism:dust_copper","count":2}})
	
	event.recipes.thermal.smelter(item.of("kubejs:gold_sludge", 2), [item.of("#forge:sand", 2), "#forge:ores/gold"])
	event.custom({
		"type": "create:mixing",
		"ingredients": [
			{
				"tag": "forge:ores/gold"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			}
		],
		"results": [
			{
				"item": "kubejs:gold_sludge",
				"count": 2
			}
		],
		"heatRequirement": "heated"
	})
	event.recipes.thermal.bottler(item.of("kubejs:gold_sludge_vital", 2), ["kubejs:gold_sludge", fluid.of("bloodmagic:life_essence_fluid", 900)])
	event.recipes.thermal.bottler(item.of("kubejs:gold_sludge_starry", 2), ["kubejs:gold_sludge_vital", fluid.of("astralsorcery:liquid_starlight", 900)])
	//event.replaceInput({mod:"mekanism"}, "#forge:ores/gold", item.of(["forge:ores/gold", "kubejs:gold_sludge", "kubejs:gold_sludge_vital", "kubejs:gold_sludge_starry"], 1))
	event.remove({mod:"mekanism", type:"mekanism:dissolution", input: "#forge:ores/gold"}) 
	event.custom({"type":"mekanism:dissolution","itemInput":{"ingredient":[{"tag":"forge:ores/gold"}, {"item":"kubejs:gold_sludge"}, {"item":"kubejs:gold_sludge_vital"}, {"item":"kubejs:gold_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:sulfuric_acid"},"output":{"slurry":"mekanism:dirty_gold","amount":1000,"chemicalType":"slurry"}})
	
	event.custom({"type":"mekanism:purifying","itemInput":{"ingredient":[{"tag":"forge:ores/gold"}, {"item":"kubejs:gold_sludge"}, {"item":"kubejs:gold_sludge_vital"}, {"item":"kubejs:gold_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:oxygen"},"output":{"item":"mekanism:clump_gold","count":2}})
	event.custom({"type":"mekanism:injecting","itemInput":{"ingredient":[{"tag":"forge:ores/gold"}, {"item":"kubejs:gold_sludge"}, {"item":"kubejs:gold_sludge_vital"}, {"item":"kubejs:gold_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:hydrogen_chloride"},"output":{"item":"mekanism:shard_gold","count":4}})
	event.custom({"type":"mekanism:enriching","input":{"ingredient":[{"tag":"forge:ores/gold"}, {"item":"kubejs:gold_sludge"}, {"item":"kubejs:gold_sludge_vital"}, {"item":"kubejs:gold_sludge_starry"}]},"output":{"item":"mekanism:dust_gold","count":2}})
	
	event.recipes.thermal.smelter(item.of("kubejs:lead_sludge", 2), [item.of("#forge:sand", 2), "#forge:ores/lead"])
	event.custom({
		"type": "create:mixing",
		"ingredients": [
			{
				"tag": "forge:ores/lead"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			}
		],
		"results": [
			{
				"item": "kubejs:lead_sludge",
				"count": 2
			}
		],
		"heatRequirement": "heated"
	})
	event.recipes.thermal.bottler(item.of("kubejs:lead_sludge_vital", 2), ["kubejs:lead_sludge", fluid.of("bloodmagic:life_essence_fluid", 900)])
	event.recipes.thermal.bottler(item.of("kubejs:lead_sludge_starry", 2), ["kubejs:lead_sludge_vital", fluid.of("astralsorcery:liquid_starlight", 900)])
	//event.replaceInput({mod:"mekanism"}, "#forge:ores/lead", item.of(["forge:ores/lead", "kubejs:lead_sludge", "kubejs:lead_sludge_vital", "kubejs:lead_sludge_starry"], 1))
	event.remove({mod:"mekanism", type:"mekanism:dissolution", input: "#forge:ores/lead"}) 
	event.custom({"type":"mekanism:dissolution","itemInput":{"ingredient":[{"tag":"forge:ores/lead"}, {"item":"kubejs:lead_sludge"}, {"item":"kubejs:lead_sludge_vital"}, {"item":"kubejs:lead_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:sulfuric_acid"},"output":{"slurry":"mekanism:dirty_lead","amount":1000,"chemicalType":"slurry"}})
	
	event.custom({"type":"mekanism:purifying","itemInput":{"ingredient":[{"tag":"forge:ores/lead"}, {"item":"kubejs:lead_sludge"}, {"item":"kubejs:lead_sludge_vital"}, {"item":"kubejs:lead_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:oxygen"},"output":{"item":"mekanism:clump_lead","count":2}})
	event.custom({"type":"mekanism:injecting","itemInput":{"ingredient":[{"tag":"forge:ores/lead"}, {"item":"kubejs:lead_sludge"}, {"item":"kubejs:lead_sludge_vital"}, {"item":"kubejs:lead_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:hydrogen_chloride"},"output":{"item":"mekanism:shard_lead","count":4}})
	event.custom({"type":"mekanism:enriching","input":{"ingredient":[{"tag":"forge:ores/lead"}, {"item":"kubejs:lead_sludge"}, {"item":"kubejs:lead_sludge_vital"}, {"item":"kubejs:lead_sludge_starry"}]},"output":{"item":"mekanism:dust_lead","count":2}})
	
	event.recipes.thermal.smelter(item.of("kubejs:nickel_sludge", 2), [item.of("#forge:sand", 2), "#forge:ores/nickel"])
	event.custom({
		"type": "create:mixing",
		"ingredients": [
			{
				"tag": "forge:ores/nickel"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			}
		],
		"results": [
			{
				"item": "kubejs:nickel_sludge",
				"count": 2
			}
		],
		"heatRequirement": "heated"
	})
	event.recipes.thermal.bottler(item.of("kubejs:nickel_sludge_vital", 2), ["kubejs:nickel_sludge", fluid.of("bloodmagic:life_essence_fluid", 900)])
	event.recipes.thermal.bottler(item.of("kubejs:nickel_sludge_starry", 2), ["kubejs:nickel_sludge_vital", fluid.of("astralsorcery:liquid_starlight", 900)])
	//event.replaceInput({mod:"mekanism"}, "#forge:ores/nickel", item.of(["forge:ores/nickel", "kubejs:nickel_sludge", "kubejs:nickel_sludge_vital", "kubejs:nickel_sludge_starry"], 1))
	event.remove({mod:"mekanism", type:"mekanism:dissolution", input: "#forge:ores/nickel"}) 
	event.custom({"type":"mekanism:dissolution","itemInput":{"ingredient":[{"tag":"forge:ores/nickel"}, {"item":"kubejs:nickel_sludge"}, {"item":"kubejs:nickel_sludge_vital"}, {"item":"kubejs:nickel_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:sulfuric_acid"},"output":{"slurry":"jaopca:mekanism_dirty.nickel","amount":1000,"chemicalType":"slurry"}})
	
	event.custom({"type":"mekanism:purifying","itemInput":{"ingredient":[{"tag":"forge:ores/nickel"}, {"item":"kubejs:nickel_sludge"}, {"item":"kubejs:nickel_sludge_vital"}, {"item":"kubejs:nickel_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:oxygen"},"output":{"item":"jaopca:mekanism_clumps.nickel","count":2}})
	event.custom({"type":"mekanism:injecting","itemInput":{"ingredient":[{"tag":"forge:ores/nickel"}, {"item":"kubejs:nickel_sludge"}, {"item":"kubejs:nickel_sludge_vital"}, {"item":"kubejs:nickel_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:hydrogen_chloride"},"output":{"item":"jaopca:mekanism_shards.nickel","count":4}})
	event.custom({"type":"mekanism:enriching","input":{"ingredient":[{"tag":"forge:ores/nickel"}, {"item":"kubejs:nickel_sludge"}, {"item":"kubejs:nickel_sludge_vital"}, {"item":"kubejs:nickel_sludge_starry"}]},"output":{"item":"thermal:nickel_dust","count":2}})
	
	event.recipes.thermal.smelter(item.of("kubejs:osmium_sludge", 2), [item.of("#forge:sand", 2), "#forge:ores/osmium"])
	event.custom({
		"type": "create:mixing",
		"ingredients": [
			{
				"tag": "forge:ores/osmium"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			}
		],
		"results": [
			{
				"item": "kubejs:osmium_sludge",
				"count": 2
			}
		],
		"heatRequirement": "heated"
	})
	event.recipes.thermal.bottler(item.of("kubejs:osmium_sludge_vital", 2), ["kubejs:osmium_sludge", fluid.of("bloodmagic:life_essence_fluid", 900)])
	event.recipes.thermal.bottler(item.of("kubejs:osmium_sludge_starry", 2), ["kubejs:osmium_sludge_vital", fluid.of("astralsorcery:liquid_starlight", 900)])
	//event.replaceInput({mod:"mekanism"}, "#forge:ores/osmium", item.of(["forge:ores/osmium", "kubejs:osmium_sludge", "kubejs:osmium_sludge_vital", "kubejs:osmium_sludge_starry"], 1))
	event.remove({mod:"mekanism", type:"mekanism:dissolution", input: "#forge:ores/osmium"}) 
	event.custom({"type":"mekanism:dissolution","itemInput":{"ingredient":[{"tag":"forge:ores/osmium"}, {"item":"kubejs:osmium_sludge"}, {"item":"kubejs:osmium_sludge_vital"}, {"item":"kubejs:osmium_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:sulfuric_acid"},"output":{"slurry":"mekanism:dirty_osmium","amount":1000,"chemicalType":"slurry"}})
	
	event.custom({"type":"mekanism:purifying","itemInput":{"ingredient":[{"tag":"forge:ores/osmium"}, {"item":"kubejs:osmium_sludge"}, {"item":"kubejs:osmium_sludge_vital"}, {"item":"kubejs:osmium_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:oxygen"},"output":{"item":"mekanism:clump_osmium","count":2}})
	event.custom({"type":"mekanism:injecting","itemInput":{"ingredient":[{"tag":"forge:ores/osmium"}, {"item":"kubejs:osmium_sludge"}, {"item":"kubejs:osmium_sludge_vital"}, {"item":"kubejs:osmium_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:hydrogen_chloride"},"output":{"item":"mekanism:shard_osmium","count":4}})
	event.custom({"type":"mekanism:enriching","input":{"ingredient":[{"tag":"forge:ores/osmium"}, {"item":"kubejs:osmium_sludge"}, {"item":"kubejs:osmium_sludge_vital"}, {"item":"kubejs:osmium_sludge_starry"}]},"output":{"item":"mekanism:dust_osmium","count":2}})
	
	event.recipes.thermal.smelter(item.of("kubejs:silver_sludge", 2), [item.of("#forge:sand", 2), "#forge:ores/silver"])
	event.custom({
		"type": "create:mixing",
		"ingredients": [
			{
				"tag": "forge:ores/silver"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			}
		],
		"results": [
			{
				"item": "kubejs:silver_sludge",
				"count": 2
			}
		],
		"heatRequirement": "heated"
	})
	event.recipes.thermal.bottler(item.of("kubejs:silver_sludge_vital", 2), ["kubejs:silver_sludge", fluid.of("bloodmagic:life_essence_fluid", 900)])
	event.recipes.thermal.bottler(item.of("kubejs:silver_sludge_starry", 2), ["kubejs:silver_sludge_vital", fluid.of("astralsorcery:liquid_starlight", 900)])
	//event.replaceInput({mod:"mekanism"}, "#forge:ores/silver", item.of(["forge:ores/silver", "kubejs:silver_sludge", "kubejs:silver_sludge_vital", "kubejs:silver_sludge_starry"], 1))
	event.remove({mod:"mekanism", type:"mekanism:dissolution", input: "#forge:ores/silver"}) 
	event.custom({"type":"mekanism:dissolution","itemInput":{"ingredient":[{"tag":"forge:ores/silver"}, {"item":"kubejs:silver_sludge"}, {"item":"kubejs:silver_sludge_vital"}, {"item":"kubejs:silver_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:sulfuric_acid"},"output":{"slurry":"jaopca:mekanism_dirty.silver","amount":1000,"chemicalType":"slurry"}})
	
	event.custom({"type":"mekanism:purifying","itemInput":{"ingredient":[{"tag":"forge:ores/silver"}, {"item":"kubejs:silver_sludge"}, {"item":"kubejs:silver_sludge_vital"}, {"item":"kubejs:silver_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:oxygen"},"output":{"item":"jaopca:mekanism_clumps.silver","count":2}})
	event.custom({"type":"mekanism:injecting","itemInput":{"ingredient":[{"tag":"forge:ores/silver"}, {"item":"kubejs:silver_sludge"}, {"item":"kubejs:silver_sludge_vital"}, {"item":"kubejs:silver_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:hydrogen_chloride"},"output":{"item":"jaopca:mekanism_shards.silver","count":4}})
	event.custom({"type":"mekanism:enriching","input":{"ingredient":[{"tag":"forge:ores/silver"}, {"item":"kubejs:silver_sludge"}, {"item":"kubejs:silver_sludge_vital"}, {"item":"kubejs:silver_sludge_starry"}]},"output":{"item":"thermal:silver_dust","count":2}})
	
	event.recipes.thermal.smelter(item.of("kubejs:tin_sludge", 2), [item.of("#forge:sand", 2), "#forge:ores/tin"])
	event.custom({
		"type": "create:mixing",
		"ingredients": [
			{
				"tag": "forge:ores/tin"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			}
		],
		"results": [
			{
				"item": "kubejs:tin_sludge",
				"count": 2
			}
		],
		"heatRequirement": "heated"
	})
	event.recipes.thermal.bottler(item.of("kubejs:tin_sludge_vital", 2), ["kubejs:tin_sludge", fluid.of("bloodmagic:life_essence_fluid", 900)])
	event.recipes.thermal.bottler(item.of("kubejs:tin_sludge_starry", 2), ["kubejs:tin_sludge_vital", fluid.of("astralsorcery:liquid_starlight", 900)])
	//event.replaceInput({mod:"mekanism"}, "#forge:ores/tin", item.of(["forge:ores/tin", "kubejs:tin_sludge", "kubejs:tin_sludge_vital", "kubejs:tin_sludge_starry"], 1))
	event.remove({mod:"mekanism", type:"mekanism:dissolution", input: "#forge:ores/tin"}) 
	event.custom({"type":"mekanism:dissolution","itemInput":{"ingredient":[{"tag":"forge:ores/tin"}, {"item":"kubejs:tin_sludge"}, {"item":"kubejs:tin_sludge_vital"}, {"item":"kubejs:tin_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:sulfuric_acid"},"output":{"slurry":"mekanism:dirty_tin","amount":1000,"chemicalType":"slurry"}})
	
	event.custom({"type":"mekanism:purifying","itemInput":{"ingredient":[{"tag":"forge:ores/tin"}, {"item":"kubejs:tin_sludge"}, {"item":"kubejs:tin_sludge_vital"}, {"item":"kubejs:tin_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:oxygen"},"output":{"item":"mekanism:clump_tin","count":2}})
	event.custom({"type":"mekanism:injecting","itemInput":{"ingredient":[{"tag":"forge:ores/tin"}, {"item":"kubejs:tin_sludge"}, {"item":"kubejs:tin_sludge_vital"}, {"item":"kubejs:tin_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:hydrogen_chloride"},"output":{"item":"mekanism:shard_tin","count":4}})
	event.custom({"type":"mekanism:enriching","input":{"ingredient":[{"tag":"forge:ores/tin"}, {"item":"kubejs:tin_sludge"}, {"item":"kubejs:tin_sludge_vital"}, {"item":"kubejs:tin_sludge_starry"}]},"output":{"item":"mekanism:dust_tin","count":2}})
	
	event.recipes.thermal.smelter(item.of("kubejs:uranium_sludge", 2), [item.of("#forge:sand", 2), "#forge:ores/uranium"])
	event.custom({
		"type": "create:mixing",
		"ingredients": [
			{
				"tag": "forge:ores/uranium"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			}
		],
		"results": [
			{
				"item": "kubejs:uranium_sludge",
				"count": 2
			}
		],
		"heatRequirement": "heated"
	})
	event.recipes.thermal.bottler(item.of("kubejs:uranium_sludge_vital", 2), ["kubejs:uranium_sludge", fluid.of("bloodmagic:life_essence_fluid", 900)])
	event.recipes.thermal.bottler(item.of("kubejs:uranium_sludge_starry", 2), ["kubejs:uranium_sludge_vital", fluid.of("astralsorcery:liquid_starlight", 900)])
	//event.replaceInput({mod:"mekanism"}, "#forge:ores/uranium", item.of(["forge:ores/uranium", "kubejs:uranium_sludge", "kubejs:uranium_sludge_vital", "kubejs:uranium_sludge_starry"], 1))
	event.remove({mod:"mekanism", type:"mekanism:dissolution", input: "#forge:ores/uranium"}) 
	event.custom({"type":"mekanism:dissolution","itemInput":{"ingredient":[{"tag":"forge:ores/uranium"}, {"item":"kubejs:uranium_sludge"}, {"item":"kubejs:uranium_sludge_vital"}, {"item":"kubejs:uranium_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:sulfuric_acid"},"output":{"slurry":"mekanism:dirty_uranium","amount":1000,"chemicalType":"slurry"}})
	
	event.custom({"type":"mekanism:purifying","itemInput":{"ingredient":[{"tag":"forge:ores/uranium"}, {"item":"kubejs:uranium_sludge"}, {"item":"kubejs:uranium_sludge_vital"}, {"item":"kubejs:uranium_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:oxygen"},"output":{"item":"mekanism:clump_uranium","count":2}})
	event.custom({"type":"mekanism:injecting","itemInput":{"ingredient":[{"tag":"forge:ores/uranium"}, {"item":"kubejs:uranium_sludge"}, {"item":"kubejs:uranium_sludge_vital"}, {"item":"kubejs:uranium_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:hydrogen_chloride"},"output":{"item":"mekanism:shard_uranium","count":4}})
	event.custom({"type":"mekanism:enriching","input":{"ingredient":[{"tag":"forge:ores/uranium"}, {"item":"kubejs:uranium_sludge"}, {"item":"kubejs:uranium_sludge_vital"}, {"item":"kubejs:uranium_sludge_starry"}]},"output":{"item":"mekanism:dust_uranium","count":2}})
	
	event.recipes.thermal.smelter(item.of("kubejs:zinc_sludge", 2), [item.of("#forge:sand", 2), "#forge:ores/zinc"])
	event.custom({
		"type": "create:mixing",
		"ingredients": [
			{
				"tag": "forge:ores/zinc"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			},
			{
				"tag": "forge:sand"
			}
		],
		"results": [
			{
				"item": "kubejs:zinc_sludge",
				"count": 2
			}
		],
		"heatRequirement": "heated"
	})
	event.recipes.thermal.bottler(item.of("kubejs:zinc_sludge_vital", 2), ["kubejs:zinc_sludge", fluid.of("bloodmagic:life_essence_fluid", 900)])
	event.recipes.thermal.bottler(item.of("kubejs:zinc_sludge_starry", 2), ["kubejs:zinc_sludge_vital", fluid.of("astralsorcery:liquid_starlight", 900)])
	event.replaceInput({mod:"mekanism"}, "#forge:ores/zinc", item.of(["#forge:ores/zinc", "kubejs:zinc_sludge", "kubejs:zinc_sludge_vital", "kubejs:zinc_sludge_starry"], 1))
	//event.remove({mod:"mekanism", type:"mekanism:dissolution", input: "#forge:ores/zinc"}) 
	event.custom({"type":"mekanism:dissolution","itemInput":{"ingredient":[{"tag":"forge:ores/zinc"}, {"item":"kubejs:zinc_sludge"}, {"item":"kubejs:zinc_sludge_vital"}, {"item":"kubejs:zinc_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:sulfuric_acid"},"output":{"slurry":"jaopca:mekanism_dirty.zinc","amount":1000,"chemicalType":"slurry"}})
	
	event.custom({"type":"mekanism:purifying","itemInput":{"ingredient":[{"tag":"forge:ores/zinc"}, {"item":"kubejs:zinc_sludge"}, {"item":"kubejs:zinc_sludge_vital"}, {"item":"kubejs:zinc_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:oxygen"},"output":{"item":"jaopca:mekanism_clumps.zinc","count":2}})
	event.custom({"type":"mekanism:injecting","itemInput":{"ingredient":[{"tag":"forge:ores/zinc"}, {"item":"kubejs:zinc_sludge"}, {"item":"kubejs:zinc_sludge_vital"}, {"item":"kubejs:zinc_sludge_starry"}]},"gasInput":{"amount":1,"gas":"mekanism:hydrogen_chloride"},"output":{"item":"jaopca:mekanism_shards.zinc","count":4}})
	event.custom({"type":"mekanism:enriching","input":{"ingredient":[{"tag":"forge:ores/zinc"}, {"item":"kubejs:zinc_sludge"}, {"item":"kubejs:zinc_sludge_vital"}, {"item":"kubejs:zinc_sludge_starry"}]},"output":{"item":"create:crushed_zinc_ore","count":2}})
	
	
	//  netherite processing
	event.remove({output: "minecraft:netherite_ingot", input: "minecraft:netherite_scrap"})
	event.recipes.immersiveengineering.arc_furnace(["minecraft:netherite_ingot"], item.of("minecraft:netherite_scrap", 2), [item.of("#forge:ingots/gold", 2)], item.of("thermal:slag", 3))
	
	event.remove({output: "thermal:lumium_ingot", input: "minecraft:glowstone_dust"})
	event.remove({output: "thermal:signalum_ingot", input: "minecraft:redstone"})
	event.remove({output: "thermal:enderium_ingot", input: "minecraft:ender_pearl"})
	event.remove({output: "thermal:lumium_dust", input: "minecraft:glowstone_dust"})
	event.remove({output: "thermal:signalum_dust", input: "minecraft:redstone"})
	event.remove({output: "thermal:enderium_dust", input: "minecraft:ender_pearl"})
	
	event.recipes.immersiveengineering.arc_furnace([item.of("thermal:lumium_ingot", 6)], item.of("minecraft:glowstone_dust", 2), [ingredient.of(["#forge:ingots/tin", "#forge:dusts/tin"], 3), ingredient.of(["#forge:ingots/silver", "#forge:dusts/silver"], 1)], item.of("thermal:slag", 3)).time(450).energy(450000)
	event.recipes.immersiveengineering.arc_furnace([item.of("thermal:signalum_ingot", 6)], item.of("#forge:dusts/redstone", 2), [ingredient.of(["#forge:ingots/silver", "#forge:dusts/silver"], 1), ingredient.of(["#forge:ingots/copper", "#forge:dusts/copper"], 3)], item.of("thermal:slag", 3)).time(300).energy(150000)
	event.recipes.immersiveengineering.arc_furnace([item.of("thermal:enderium_ingot", 6)], ingredient.of(["#forge:ender_pearls", "#forge:dusts/ender_pearl"], 2), [ingredient.of("#forge:dusts/diamond", 3), ingredient.of(["#forge:ingots/lead", "#forge:dusts/lead"], 1)], item.of("thermal:slag", 3)).time(500).energy(2500000)
	event.recipes.thermal.pulverizer("immersiveengineering:dust_coke", "thermal:coal_coke")
	
	event.remove({output: "immersiveengineering:ore_aluminium", mod: "mekanism"})
	event.remove({output: "thermal:niter_ore", mod: "mekanism"})
	event.remove({output: "thermal:nickel_ore", mod: "mekanism"})
	event.remove({output: "thermal:silver_ore", mod: "mekanism"})
	event.remove({output: "create:zinc_ore", mod: "mekanism"})
	event.remove({output: "minecraft:gold_ore", mod: "mekanism"})
	event.remove({output: "minecraft:iron_ore", mod: "mekanism"})
	event.remove({output: "#forge:ores/copper", mod: "mekanism"})
	event.remove({output: "#forge:ores/lead", mod: "mekanism"})
	event.remove({output: "#forge:ores/nickel", mod: "mekanism"})
	event.remove({output: "#forge:ores/uranium", mod: "mekanism"})
	event.remove({output: "#forge:ores/tin", mod: "mekanism"})
	event.remove({output: "#forge:ores/osmium", mod: "mekanism"})
	event.remove({output: "#forge:ores/silver", mod: "mekanism"})
	
	event.remove({output: "immersiveengineering:ore_aluminium", mod: "jaopca"})
	event.remove({output: "thermal:niter_ore", mod: "jaopca"})
	event.remove({output: "thermal:nickel_ore", mod: "jaopca"})
	event.remove({output: "thermal:silver_ore", mod: "jaopca"})
	event.remove({output: "create:zinc_ore", mod: "jaopca"})
	event.remove({output: "minecraft:gold_ore", mod: "jaopca"})
	event.remove({output: "minecraft:iron_ore", mod: "jaopca"})
	event.remove({output: "#forge:ores/copper", mod: "jaopca"})
	event.remove({output: "#forge:ores/lead", mod: "jaopca"})
	event.remove({output: "#forge:ores/nickel", mod: "jaopca"})
	event.remove({output: "#forge:ores/uranium", mod: "jaopca"})
	event.remove({output: "#forge:ores/tin", mod: "jaopca"})
	event.remove({output: "#forge:ores/osmium", mod: "jaopca"})
	event.remove({output: "#forge:ores/silver", mod: "jaopca"})
	
	event.replaceInput("#forge:ores/copper", "kubejs:raw_copper")
	event.replaceInput("#forge:ores/iron", "kubejs:raw_iron")
	event.replaceInput("#forge:ores/gold", "kubejs:raw_gold")
	event.replaceInput("#forge:ores/tin", "kubejs:raw_tin")
	event.replaceInput("#forge:ores/lead", "kubejs:raw_lead")
	//event.replaceInput("astralsorcery:starmetal_ore", "kubejs:raw_starmetal")
	event.replaceInput("#forge:ores/silver", "kubejs:raw_silver")
	event.replaceInput("#forge:ores/uranium", "kubejs:raw_uranium")
	event.replaceInput("#forge:ores/nickel", "kubejs:raw_nickel")
	event.replaceInput("#forge:ores/osmium", "kubejs:raw_osmium")
	event.replaceInput("#forge:ores/aluminum", "kubejs:raw_aluminum")
	
	event.recipes.thermal.pulverizer(item.of("kubejs:raw_copper", 2), "#forge:ores/copper")
	event.recipes.mekanism.enriching(item.of("kubejs:raw_copper", 2), "#forge:ores/copper")
	//event.recipes.create.crushing([item.of("kubejs:raw_copper", 2)], ["#forge:ores/copper"])
	
	event.recipes.thermal.pulverizer(item.of("kubejs:raw_iron", 2), "#forge:ores/iron")
	event.recipes.mekanism.enriching(item.of("kubejs:raw_iron", 2), "#forge:ores/iron")
	//event.recipes.create.crushing([item.of("kubejs:raw_iron", 2), "#forge:ores/iron"])
	
	event.recipes.thermal.pulverizer(item.of("kubejs:raw_gold", 2), "#forge:ores/gold")
	event.recipes.mekanism.enriching(item.of("kubejs:raw_gold", 2), "#forge:ores/gold")
	//event.recipes.create.crushing([item.of("kubejs:raw_gold", 2), "#forge:ores/gold"])
	
	event.recipes.thermal.pulverizer(item.of("kubejs:raw_tin", 2), "#forge:ores/tin")
	event.recipes.mekanism.enriching(item.of("kubejs:raw_tin", 2), "#forge:ores/tin")
	//event.recipes.create.crushing([item.of("kubejs:raw_tin", 2), "#forge:ores/tin"])
	
	event.recipes.thermal.pulverizer(item.of("kubejs:raw_lead", 2), "#forge:ores/lead")
	event.recipes.mekanism.enriching(item.of("kubejs:raw_lead", 2), "#forge:ores/lead")
	//event.recipes.create.crushing([item.of("kubejs:raw_lead", 2), "#forge:ores/lead"])
	
	event.recipes.thermal.pulverizer(item.of("kubejs:raw_silver", 2), "#forge:ores/silver")
	event.recipes.mekanism.enriching(item.of("kubejs:raw_silver", 2), "#forge:ores/silver")
	//event.recipes.create.crushing([item.of("kubejs:raw_silver", 2), "#forge:ores/silver"])
	
	event.recipes.thermal.pulverizer(item.of("kubejs:raw_uranium", 2), "#forge:ores/uranium")
	event.recipes.mekanism.enriching(item.of("kubejs:raw_uranium", 2), "#forge:ores/uranium")
	//event.recipes.create.crushing([item.of("kubejs:raw_uranium", 2), "#forge:ores/uranium"])
	
	event.recipes.thermal.pulverizer(item.of("kubejs:raw_nickel", 2), "#forge:ores/nickel")
	event.recipes.mekanism.enriching(item.of("kubejs:raw_nickel", 2), "#forge:ores/nickel")
	//event.recipes.create.crushing([item.of("kubejs:raw_nickel", 2), "#forge:ores/nickel"])
	
	event.recipes.thermal.pulverizer(item.of("kubejs:raw_osmium", 2), "#forge:ores/osmium")
	event.recipes.mekanism.enriching(item.of("kubejs:raw_osmium", 2), "#forge:ores/osmium")
	//event.recipes.create.crushing([item.of("kubejs:raw_osmium", 2), "#forge:ores/osmium"])
	
	event.recipes.thermal.pulverizer(item.of("kubejs:raw_aluminum", 2), "#forge:ores/aluminum")
	event.recipes.mekanism.enriching(item.of("kubejs:raw_aluminum", 2), "#forge:ores/aluminum")
	//event.recipes.create.crushing([item.of("kubejs:raw_aluminum", 2), "#forge:ores/aluminum"])
})
	
	
